#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    int h,w;
    cin>>h>>w;
    char a[h][w];
    for(int i=0;i<h;i++)
        for(int j=0;j<w;j++)
        cin>>a[i][j];
    cout<<-1<<endl;


    return 0;
}